Results 1 to 10 of 10

Thread: Linphone broken after libbellesip update

  1. #1

    Default Linphone broken after libbellesip update

    Hi all

    This morning I update libbellesip0 to 1.5.0-19.1... now linphone wont start (both installed from network:telephony):

    linphone: symbol lookup error: /usr/lib64/liblinphone.so.8: undefined symbol: belle_sip_logv_out

    What should I do ?

  2. #2

    Default Re: Linphone broken after libbellesip update

    Same issue here. Ekiga is working still for me so I'll use it. Hopefully a fix soon.

  3. #3

    Default Re: Linphone broken after libbellesip update

    I found this older version in rpmbone libbellesip0-1.4.2-25.66.x86_64:

    zypper in -f libbellesip0-1.4.2-25.66.x86_64.rpm

    Appears to work for now.

  4. #4

    Thumbs up Re: Linphone broken after libbellesip update

    Quote Originally Posted by roko98 View Post
    I found this older version in rpmbone libbellesip0-1.4.2-25.66.x86_64:

    zypper in -f libbellesip0-1.4.2-25.66.x86_64.rpm

    Appears to work for now.
    This worked for me and thanks! I'll be watching for an update to libbellesip or linphone when I 'zypper up'

  5. #5
    Join Date
    Oct 2008
    Location
    Glasgow, Scotland
    Posts
    1,134

    Default Re: Linphone broken after libbellesip update

    Quote Originally Posted by adamd1704 View Post
    This worked for me and thanks! I'll be watching for an update to libbellesip or linphone when I 'zypper up'
    I notice that you are using the Packman build. Was there a specific reason for not trying version 1.4.1 from the openSUSE-Leap-42.1 repository?
    ~Thank you for sharing an interesting problem.
    --
    slàinte mhath,
    rayH

  6. #6

    Default Re: Linphone broken after libbellesip update

    Quote Originally Posted by eng-int View Post
    I notice that you are using the Packman build. Was there a specific reason for not trying version 1.4.1 from the openSUSE-Leap-42.1 repository?
    For me when using yast package manager and try to downgrade versions it says "Conflict Resolution: Option 1 deinstall linphone and linphone-lang. Option 2 do not install 1.4.1 versionj, option 3 break linphone by ignoring some of its dependencies.". I didn't quite know what to do here so I didn't do it. After seeing the reply to downgrade using a version downloaded from rpmbone and it working, thats what I did. I think your saying its the same thing anyhow and I could have selected option 3?

  7. #7

    Default Re: Linphone broken after libbellesip update

    OK.. I just tried option 3 and I get this: linphone: symbol lookup error: /usr/lib64/liblinphone.so.8: undefined symbol: belle_sip_stack_set_http_proxy_host


  8. #8
    Join Date
    Oct 2008
    Location
    Glasgow, Scotland
    Posts
    1,134

    Default Re: Linphone broken after libbellesip update

    Sorry, I was not making a recommendation; I just wondered whether there was an operational advantage in using Linphone from Packman instead of openSUSE. I have used Linphone in the past, and was about to install it yesterday, but out of curiosity tried Twinkle instead.
    ~Thank you for sharing an interesting problem.
    --
    slàinte mhath,
    rayH

  9. #9

    Default Re: Linphone broken after libbellesip update

    Today I updated and noticed a linphone update which seems to have resolved this issue completely.
    The output of zypper up was... Installing: linphone-3.10.2-12.1.x86_64.

  10. #10

    Default Re: Linphone broken after libbellesip update

    Quote Originally Posted by adamd1704 View Post
    Today I updated and noticed a linphone update which seems to have resolved this issue completely.
    The output of zypper up was... Installing: linphone-3.10.2-12.1.x86_64.

    OK. Sorry I posted before proper testing. I'm learning. It still does not seem to work. Now when I try to make a call I get..
    linphone: symbol lookup error: /usr/lib64/libmediastreamer_voip.so.7: undefined symbol: bzrtp_setZIDCacheData

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •